{% block content %}
<script src="http://ajax.googleapis.com/ajax/libs/jquery/2.1.0/jquery.min.js"></script>
<script type="text/javascript">
    $(document).ready(function () {
        $('#btnsearch').click(function () {
            checked = $(".user-filter input[type=checkbox]:checked").length;
            if (!checked) {
                $(".atleastone").html("Au moins un élément doit être coché !");
                return false;
            }
            $(".atleastone").remove()
        });
    });
</script>
<form action="{% url 'compare:results' %}" method="post">
    {% csrf_token %}
    <div class="form-group text-center">
        <div class="input-group mb-3">
            <input pattern=".{3,}" required title="Minimum trois caractères !" type="text" class="form-control"
                placeholder="Chercher un produit" name="product" aria-label="Chercher un produit"
                aria-describedby="basic-addon2">
            <div class="input-group-append">
                <button class="btn btn-outline-secondary" type="submit" id="btnsearch">Chercher</button>
            </div>

        </div>
        {% if '/details/' in request.path %}
        <div class="font-weight-light user-filter">
        {% else %}
        <div class="text-white-75 font-weight-light user-filter">
        {% endif %}
            <input type="checkbox" id="grade" name="grade" value="grade">
            <label for="grade">Nutriscore</label>
            <input type="checkbox" id="energy" name="energy" value="energy">
            <label for="energy">Calories</label>
            <p class='atleastone'></p>
        </div>
    </div>
</form>
{% endblock content %}